function popup(feature, layer, map){   //onEachFeature: popup  ,mapoSteven 20/03/2020
    var popupTable = '';
    var imgInfo = '';   // image information
    var popupInfo = '';  // txt information

    if (feature.properties.img) imgInfo += '<img src="'+ feature.properties.img + '" width="200">';

    if (feature.properties.city) {
        popupInfo += '<b>' + feature.properties.city +'</b>';
        popupInfo += '<br>';
    }
    if (feature.properties.unit) {
        popupInfo += feature.properties.unit;
        popupInfo += '<br>';
    }

    if (feature.properties.street) {
        popupInfo += feature.properties.street;
        popupInfo += '<br>';
    }

    if (feature.properties.bedFrom) {
        popupInfo += '<b>' + feature.properties.bedFrom + '</b>';
        if (feature.properties.bedTo) popupInfo += '-<b>' + feature.properties.bedTo + '</b>';
        popupInfo += ' Bed ';
    }


    if (feature.properties.study) {
        popupInfo += '<b>' + feature.properties.study + '</b> Study ';
    }
    if (feature.properties.retreat) {
        popupInfo += '<b>' + feature.properties.retreat + '</b> Retreat ';
    }

    if (feature.properties.bathFrom) {
        popupInfo += '<b>' + feature.properties.bathFrom + '</b>';
        if (feature.properties.bathTo) popupInfo += '-<b>'  + feature.properties.bathTo + '</b>';
        popupInfo += ' Bath ';
    }


    if (feature.properties.carparkFrom) {
        popupInfo += '<b>' + feature.properties.carparkFrom + '</b>';
        if (feature.properties.carparkTo) popupInfo += '-<b>' + feature.properties.carparkTo + '</b>';
        popupInfo += ' Car ';
        popupInfo += '<br>'
    }


    if (feature.properties.priceRangeFrom) {
        popupInfo += '<b>' + feature.properties.priceRangeFrom + '</b>';
        if (feature.properties.priceRangeTo) popupInfo += '-<b>' + feature.properties.priceRangeTo + '</b>';
        popupInfo += '<br>';
    }


    if (feature.properties.stage) {
        popupInfo += '建设进度：<b>' + feature.properties.stage + '</b>';
        popupInfo += '<br>';
    }


    if (feature.properties.completion) {
        popupInfo += '完工时间：<b>' + feature.properties.completion + '</b>';
        popupInfo += '<br>';
    }


    if (feature.properties.status) {
        popupInfo += '销售状态：<b>' + feature.properties.status + '</b>';
        popupInfo += '<br>';
    }


    var dropboxAnchor = '<a href="'+ feature.properties.dropbox + '" target="_blank">Market Information</a>';
    if (dropboxAnchor) popupInfo += dropboxAnchor;

    popupTable = '<table style="width:100%"> <tr> <td>' + imgInfo + '</td> <td> ' +popupInfo +' </td> </tr></table>'

    layer.bindPopup(popupTable, {
    maxWidth : 560
    });

    // bindTooltip for each point , mapoSteven 29/03/2020
    layer.bindTooltip(function(layer) {
            var tooltipContent = String(layer.feature.properties.priceRangeFrom)
            //tooltipContent += '<br>' + String(layer.feature.properties.commission)
            return tooltipContent;
        }, {className: 'tooltip', permanent: true, direction: 'top', opacity: 0.8}
    )

}



window.onload = function() {  //mapoSteven 20/03/2020
    L.mapbox.accessToken = 'pk.eyJ1Ijoic3RldmVubGl1MTk3MCIsImEiOiJjazdxdTJ3M2QwNzc5M21veHp1ZjNoaGxzIn0.p8rKBkPiXpUyUgfPTWj1Vw';
    mapboxgl.accessToken = 'pk.eyJ1Ijoic3RldmVubGl1MTk3MCIsImEiOiJjazdxdTJ3M2QwNzc5M21veHp1ZjNoaGxzIn0.p8rKBkPiXpUyUgfPTWj1Vw';

   // var basemap = L.mapbox.tileLayer('https://api.mapbox.com/v4/kimpham54.au2i6bt9/{z}/{x}/{y}.png?access_token=' + L.mapbox.accessToken, {
   //                  attribution: '<a href="https://www.mapbox.com/tos/">Mapbox</a>'
   //     });

    var streetslayer = L.mapbox.styleLayer('mapbox://styles/mapbox/streets-v11');  //streets-v11/satellite-streets-v11
    var map = L.map('lom')
        streetslayer.addTo(map);

    // for switch map style by different styleLayer
    var layerList = document.getElementById('mapstyle');
    var styleLayers = layerList.getElementsByTagName('input');

    for (var i = 0; i < styleLayers.length; i++){
        styleLayers[i].onclick = function(layer){
            var layerId = layer.target.id;
            layer = L.mapbox.styleLayer('mapbox://styles/mapbox/' + layerId);
            layer.addTo(map);
        }
    }
    // end for switch map style by different styleLayer

    $.getJSON("/static/polls/stocklistdata/cr8/stocklist.geojson", function(data) {
        var geojson = L.geoJson(data, {
            onEachFeature: popup
        });
        map.fitBounds(geojson.getBounds());
        geojson.addTo(map);
    });

    $.getJSON("/static/polls/stocklistdata/asialand/stocklist.geojson", function(data) {
        var geojson = L.geoJson(data, {
            onEachFeature: popup
        });
        map.fitBounds(geojson.getBounds());
        geojson.addTo(map);
    });

};